Subject: Re: [2.6.29-rc2 regression] e100: netconsole not functional because of missing firmware

From: Andrey Borzenkov <[email-masked]>
Date: Mon, 19 Jan 2009 21:43:00 +0300

On 19 января 2009 21:30:01 Jesse Brandeburg wrote:
> On Sat, Jan 17, 2009 at 8:08 AM, Andrey Borzenkov <[email-masked]> 
wrote:
> > [    2.008509] e100: eth0: e100_request_firmware: Failed to load
> > firmware "e100/d101m_ucode.bin": -22
> > [    2.010461] netconsole: failed to open eth0
> > [    2.010996] netconsole: cleaning up
> >
> > This has been working all the time without requiring any external
> > firmware to be present. Why it suddenly refuses to work now?
>
> to use netconsole you probably need to set config option
> CONFIG_FIRMWARE_IN_KERNEL=y
>

Yes, I already figured that much :) Unfortunately, there seems to be a 
bug that prevents compiling firmware if src != obj. At least it does not 
work for me.

> Hm, I wonder if we couldn't have netconsole=y select
> CONFIG_FIRMWARE_IN_KERNEL in Kconfig
>

That probably is overkill; unfortunately I am afraid there is no way to 
make kconfig automatically select correct firmware in case e100 is built 
in.  

Thank you!